Bug 1388523 - Attempting to restart haproxy with external loadbalancer during convergence
Summary: Attempting to restart haproxy with external loadbalancer during convergence
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: unspecified
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 10.0 (Newton)
Assignee: Michele Baldessari
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-25 14:47 UTC by Tomas Jamrisko
Modified: 2017-02-14 10:15 UTC (History)
7 users (show)

Fixed In Version: puppet-tripleo-5.3.0-4.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 16:25:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 390545 None None None 2017-02-14 10:14:06 UTC
OpenStack gerrit 390876 None None None 2016-10-27 07:43:57 UTC
Launchpad 1636527 None None None 2017-02-14 10:15:22 UTC

Description Tomas Jamrisko 2016-10-25 14:47:18 UTC
Description of problem:
There is an attempt to restart haproxy during upgrade with external lb, which fails as the resource is not available on the controllers:

{
  "deploy_stdout": "Matching apachectl 'Server version: Apache/2.4.6 (Red Hat Enterprise Linux)\nServer built:   Aug  3 2016 08:33:27'\n\u001b[mNotice: Scope(Class[Tripleo::Firewall::Post]): At this stage, all network traffic is blocked.\u001b[0m\n\u001b[mNotice: Compiled catalog for controller-0.localdomain in environment production in 3.94 seconds\u001b[0m\n", 
  "deploy_stderr": "exception: connect failed\n\u001b[1;31mError: Could not find dependency Concat[/etc/haproxy/haproxy.cfg] for Tripleo::Pacemaker::Resource_restart_flag[haproxy-clone] at /etc/puppet/modules/tripleo/manifests/profile/pacemaker/haproxy.pp:50\u001b[0m\n", 
  "deploy_status_code": 1

Comment 2 Tomas Jamrisko 2016-11-15 08:36:51 UTC
Convergence with external loadbalancer now passes without issues

Comment 4 errata-xmlrpc 2016-12-14 16:25:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.